<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	template="/WEB-INF/templates/template.xhtml">
	
	<ui:define name="metadata">
    	<f:metadata>
			<f:viewParam id="taskId" name="taskId" />
			<!-- start working on the usertask and starting a conversation -->
			<f:event type="preRenderView" listener="#{businessProcess.startTask(taskId, true)}" />
		</f:metadata>
    </ui:define>
	
	<ui:define name="content">
		<h1>#{task.name}</h1>
		<p><em>#{task.description}</em></p>
		<h:form>
			<table>
				<tr>
					<td>Twitter Account:</td>
					<td><h:outputText id="twitter_account" value="#{processVariables['twitterAccount']}" /></td>
				</tr>
				<tr>
					<td>Tweet content:</td>
					<td><h:outputText id="tweet_content" value="#{processVariables['tweetContent']}" />
					</td>
				</tr>

				<tr>
					<td>Approve &amp; Publish?</td>
					<td><h:selectBooleanCheckbox id="checkbox_approve_publish" value="#{processVariables['approved_published']}"/></td>
				</tr>
				<tr>
					<td>Approve &amp; Hide?</td>
					<td><h:selectBooleanCheckbox id="checkbox_approve_hide" value="#{processVariables['approved_hidden']}"/></td>
				</tr>
				<tr>
					<td>Comment:</td>
					<td><h:inputTextarea value="#{processVariables['comment']}" /></td>
				</tr>
				<tr>
					<td></td>
					<td>
						<h:commandButton id="submit_button" value="Submit" action="#{businessProcess.completeTask(true)}" />
					</td>
				</tr>
			</table>
		</h:form>
	</ui:define>

</ui:composition>
